services:
    _defaults:
        autowire: true
        autoconfigure: true

    con4gis\ReservationBundle\Controller\C4gReservationController:
        class: Revierstil\ReservationBundle\Extended\Controller\ReservationController
        arguments:
            - '%kernel.project_dir%'
            - "@session"
            - "@contao.framework"
        public: true
        tags:
            - { name: contao.frontend_module, category: con4gis, template: mod_c4g_brick, type: C4gReservation }

    con4gis\ReservationBundle\Controller\C4gReservationListController:
        class: Revierstil\ReservationBundle\Extended\Controller\ReservationListController
        arguments:
            - '%kernel.project_dir%'
            - "@session"
            - "@contao.framework"
        public: true
        tags:
            - { name: contao.frontend_module,category: con4gis,template: mod_c4g_brick,type: C4gReservationList }